# -*- rpm-spec -*-
# $Id: avr-binutils,v 1.4 2002/10/30 13:14:46 grigory Exp $

%define cross_arch avr

Summary: A GNU collection of binary utilities.
Name: %cross_arch-binutils
Version: 2.11.2
Release: alt1
Copyright: GPL
Group: Development/Other
URL: http://sourceware.cygnus.com/binutils
Source: ftp://ftp.kernel.org/pub/linux/devel/binutils/binutils-%version.tar.bz2

Patch0: binutils-2.11.2-info_fix.patch
Patch1: binutils-2.11.2-patch128
Patch2: binutils-2.11.2-patchc++
Prereq: /sbin/install-info

%define libavrdir %_libdir/%cross_arch
%define includeavrdir %_includedir/%cross_arch

# Automatically added by buildreq on Thu Oct 24 2002
BuildRequires: flex glibc-devel-static

%description
Avr-Binutils is a collection of binary utilities, including avr-ar (for
creating, modifying and extracting from archives), avr-as (a family of GNU
assemblers), avr-ld (the GNU linker), avr-nm (for listing symbols from object
files), avr-objcopy (for copying and translating object files), avr-objdump
(for displaying information from object files), avr-ranlib (for generating an
index for the contents of an archive), avr-size (for listing the section sizes
of an object or archive file), avr-strings (for listing printable strings from
files), avr-strip (for discarding symbols), and avr-addr2line (for converting
addresses to file and line).

This package is for cross-development of AVR programs.

%prep
%setup -n binutils-%version -q
%patch0 -p1 -b .avrinfo
%patch1 -p1 -b .mega128
%patch2 -p1 -b .c++

%build
# %__subst "s|\(tooldir='\$(exec_prefix)'/\)\(\${target_alias}\)|\1lib\2|" configure
# %__subst "s|\(scriptdir = \$(tooldir)\)/lib|\1|" ld/Makefile.in

# Binutils come with its own custom libtool
%define __libtoolize echo
./configure \
	--prefix=%_prefix \
	--disable-nls \
	--target=avr \
	--program-prefix="avr-" \
	--includedir=%includeavrdir \
	--libdir=%libavrdir \
	--exec-prefix=%libavrdir
%make_build

%install
%__mkdir_p %buildroot{%libavrdir,%includeavrdir,%_bindir}
%__make install \
	prefix=%buildroot%_prefix \
	exec_prefix=%buildroot%libavrdir \
	libdir=%buildroot%libavrdir \
	includedir=%buildroot%includeavrdir \
	mandir=%buildroot%_mandir
%__make install-info \
	prefix=%buildroot%_prefix \
	infodir=%buildroot%_infodir

for i in `ls -1 %buildroot%libavrdir/bin/`; do
	%__ln_s ../../%libavrdir/bin/$i %buildroot%_bindir/$i
done
for i in `ls -1 %buildroot%libavrdir/%cross_arch/bin/`; do
	%__ln_s %cross_arch-$i %buildroot%libavrdir/bin/$i
done
%__rm -rf %buildroot%libavrdir/%cross_arch/bin

%__ln_s ../bin %buildroot%libavrdir/avr/bin
%__ln_s ./ %buildroot%libavrdir/lib
%__ln_s ../../../%includeavrdir %buildroot%libavrdir/include

%__rm -f %buildroot%_bindir/*c++filt*
%__rm -f %buildroot%_infodir/{configure*,standards*}

%files
%doc README
%dir %includeavrdir
%dir %libavrdir
%_bindir/*
%includeavrdir/*
%libavrdir/*
%_man1dir/*
%_infodir/*

%changelog
* Wed Oct 30 2002 Grigory Milev <week@altlinux.ru> 2.11.2-alt1
- Initial build for ALT Linux 

* Tue Mar 27 2002 Theodore Roth <troth@verinet.com>
- %dir directive for %{_prefix}/avr/{bin,lib}

* Mon Mar 17 2002 Theodore Roth <troth@verinet.com>
- Initial spec file.
